Author Topic: How to repair corrupted wallet.dat with db5.3-util on Ubuntu  (Read 1053 times)

Offline jackielove4u

  • Administrator
  • Sr. Member
  • *****
  • Posts: 485
  • Groestlcoin
    • View Profile
How to repair corrupted wallet.dat with db5.3-util on Ubuntu
« on: March 25, 2021, 05:00:11 pm »
The following were tested in Ubuntu 18.04 and Ubuntu 20.04, some dependencies can be different in other distros
All Groestlcoin Core versions are released with BerkeleyDB 5.3, so we can use db5.3-util
  • sudo apt-get update -y && sudo apt-get upgrade -y && sudo apt-get dist-upgrade -y
  • sudo apt-get install -y db5.3-util
  • cd ./.groestlcoin
  • db5.3_dump -r wallet.dat | db5.3_load repaired_wallet.dat
  • Open the wallet now in Groestlcoin Core
« Last Edit: March 25, 2021, 05:31:34 pm by jackielove4u »

 

anything